Subject: Re: Cygwin /dev/null problem or perl 5.8.0 problem? (was: Re: autom4te and perl 5.8.0)
From: "Gerrit P. Haase" <[email-masked]>
To: "Conrad Scott" <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 19 Jun 2002 23:28:58 +0200

Hallo Conrad,

Am Mittwoch, 19. Juni 2002 um 23:18 schriebst du:

> "Gerrit P. Haase" <[email-masked]> wrote:

Segfaulting with perl 5.8.0 on Cygwin:

 use IO::File;
 my $out = new IO::File;
 $out->open("/dev/null", O_CREAT | O_WRONLY | O_TRUNC, 0666);

>> Can someone please test it with perl 5.6.1 on Cygwin?  I haven't
>> installed it anymore...

> It runs w/o segfaulting with perl 5.6.1 under a development version of
> cygwin on a win2k box if that's any use to you.

Yes, thanks, then there is s.th. wrong with perl 5.8.0 (at least the
Cygwin version I built).

I have the testscript attached, please test on other platforms too.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/